## List core web vital metrics trend `client.speed.pages.trend(stringurl, PageTrendParamsparams, RequestOptionsoptions?): Trend` **get** `/zones/{zone_id}/speed_api/pages/{url}/trend` Lists the core web vital metrics trend over time for a specific page. ### Parameters - `url: string` A URL. - `params: PageTrendParams` - `zone_id: string` Path param: Identifier. - `deviceType: "DESKTOP" | "MOBILE"` Query param: The type of device. - `"DESKTOP"` - `"MOBILE"` - `metrics: string` Query param: A comma-separated list of metrics to include in the results. - `region: "asia-east1" | "asia-northeast1" | "asia-northeast2" | 18 more` Query param: A test region. - `"asia-east1"` - `"asia-northeast1"` - `"asia-northeast2"` - `"asia-south1"` - `"asia-southeast1"` - `"australia-southeast1"` - `"europe-north1"` - `"europe-southwest1"` - `"europe-west1"` - `"europe-west2"` - `"europe-west3"` - `"europe-west4"` - `"europe-west8"` - `"europe-west9"` - `"me-west1"` - `"southamerica-east1"` - `"us-central1"` - `"us-east1"` - `"us-east4"` - `"us-south1"` - `"us-west1"` - `start: string` Query param - `tz: string` Query param: The timezone of the start and end timestamps. - `end?: string` Query param ### Returns - `Trend` - `cls?: Array` Cumulative Layout Shift trend. - `fcp?: Array` First Contentful Paint trend. - `lcp?: Array` Largest Contentful Paint trend. - `performanceScore?: Array` The Lighthouse score trend. - `si?: Array` Speed Index trend. - `tbt?: Array` Total Blocking Time trend. - `ttfb?: Array` Time To First Byte trend. - `tti?: Array` Time To Interactive trend. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const trend = await client.speed.pages.trend('example.com', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', deviceType: 'DESKTOP', metrics: 'performanceScore,ttfb,fcp,si,lcp,tti,tbt,cls', region: 'us-central1', start: '2014-01-01T05:20:00.12345Z', tz: 'tz', }); console.log(trend.cls); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "cls": [ 0 ], "fcp": [ 0 ], "lcp": [ 0 ], "performanceScore": [ 0 ], "si": [ 0 ], "tbt": [ 0 ], "ttfb": [ 0 ], "tti": [ 0 ] } } ```